#ifndef __TOUCH_H__
#define __TOUCH_H__

#define   IOCTL_IDEALTOUCH_WRITEBUFFER      0x01
#define   IOCTL_IDEALTOUCH_READBUFFER       0x02
#define   IOCTL_IDEALTOUCH_READLENGTH       0x03
#define   IOCTL_IDEALTOUCH_FLUSH_BUFFER     0x04
#define   IOCTL_IDEALTOUCH_CALIREADY        0x11
#define   IOCTL_IDEALTOUCH_CALSETTING       0x12
#define   IOCTL_IDEALTOUCH_PENUP            0x13

#define   IOCTL_IDEALTOUCH_3P_CALSETTING    0x24

#define   MAX_INBUFFER                      10
#define   MAX_OUTBUFFER                     128


typedef  struct _INBUFFER
{
   unsigned char      Buf[MAX_INBUFFER];
   unsigned short     Len;
}InBuffer, *pInBuffer;

typedef  struct _OUTBUFFER
{
   unsigned char      Buf[MAX_OUTBUFFER];
   unsigned short     Len;
}OutBuffer, *pOutBuffer;

typedef  struct _CALIREADY
{
   int   Avg_Point[2];
   unsigned char     Ready;
}CaliReady, *pCaliReady;

#endif
